var skipScenes = false;
var counter = 0;
var counterTrees = 0;
var isWin = 0;
var jump2Counter = 0;
var currentPos = '';
var lastPos = '';
var timerInstructionVideo;
var idBeforeInstruction = 1;
let shower = false;
let lie = false;

var gameLine = {
  '-5': {
    video: 'inst_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // StopSound("sounds/env_main.mp3", 0);

      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
      // hideDialog();
      // renderActionGameScene(15)
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/1',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          // ObjSet('', {});
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/2',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/3',
        x: 154,
        y: 127,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/4',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0.9 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_4', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/5',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_5', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_5', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/6',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_6', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_6', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/7',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/8',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_7', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_7', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/9',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 1 });
          ObjSet('spr_interface_instruction_9_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_9_1', { alp: 0 });
          ObjSet('spr_interface_instruction_9_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/10',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 1 });
          ObjSet('spr_interface_instruction_10_2', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_10_1', { alp: 0 });
          ObjSet('spr_interface_instruction_10_2', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/11',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/12',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_11', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_11', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/13',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_13', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_13', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/14',
        x: 154,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_14', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_14', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/15',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
          ObjSet('vid_interface_instruction_15_video', { alp: 1 });
        },
        click: function () {
          // ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/16',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_15', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_15', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/17',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_17', { alp: 1 });
        },
        click: function () {
          ObjSet('spr_interface_instruction_17', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/18',
        x: 516,
        y: 127,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_18', { alp: 1 });
          var instructionVideos = [
            'vagina_x_ray_white_stop',
            'vagina_x_ray_white_slow_1',
            'vagina_x_ray_white_slow_2',
          ];
          var currentInstructionIdVideo = 0;
          timerInstructionVideo = setInterval(function () {
            currentInstructionIdVideo++;
            if (currentInstructionIdVideo > 2) {
              currentInstructionIdVideo = 0;
            }
            var nameVideoInstr = instructionVideos[currentInstructionIdVideo];
            vid_interface_instruction_15_video.src =
              './video/' + nameVideoInstr + '.mp4';
          }, 5000);
        },
        click: function () {
          ObjSet('spr_interface_instruction_18', { alp: 0 });
          clearTimeout(timerInstructionVideo);
          clearInterval(timerInstructionVideo);
          ObjSet('vid_interface_instruction_15_video', { alp: 0, input: 0 });
          vid_interface_instruction_15_video.pause();
          // document.querySelector('#vid_interface_instruction_15_video').remove();
        },
      },
    ],
    origin: 'inst_1       1-18',
  },
  '-4': {
    video: 'inst_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_pistol.mp3', 0);
      StopSound('sounds/env_main.mp3', 0);
      StopSound('sounds/sfx_rifle_shot.mp3', 0);
      PlaySound('sounds/env_instruction.mp3', 1);
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_instruction.mp3', 1);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: 'instruction/19',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/20',
        x: 509,
        y: 116,
        next: true,
        open: function () {
          ObjSet('spr_interface_instruction_20', { alp: 1 });
        },
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/21',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/22',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/23',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/24',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_instruction_20', { alp: 0 });
        },
      },
      {
        type: 'dialog',
        image: 'instruction/25',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/26',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/27',
        x: 509,
        y: 116,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: 'instruction/28',
        x: 509,
        y: 116,
        next: false,
        open: function () {},
        click: function () {
          // console.log('idBeforeInstruction', idBeforeInstruction);

          ObjSet('spr_interface_instruction_play', {
            alp: 1,
            input: 1,
            event_mup: () => {
              renderGameScene(idBeforeInstruction);
              ObjSet('spr_interface_instruction_play', { alp: 0, input: 0 });
            },
          });
        },
      },
    ],
    origin: 'inst_2       19-28',
  },
  1: {
    video: 'menu_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      PlaySound('sounds/sfx_menu_1.mp3', 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {
      /*renderGameScene();*/
    },
    close: function () {
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'menu_2\t\tplay',
  },
  2: {
    video: 'menu_2',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_to_instruction', {
        alp: 1,
        input: 1,
        event_mup: () => {
          idBeforeInstruction = currentGameLine;
          renderGameScene(-5);
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
        },
      });

      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {
          ObjSet('spr_interface_play', { alp: 0, input: 0 });
          ObjSet('spr_interface_to_instruction', { alp: 0, input: 0 });
        },
      },
    ],
    origin: '\t\t',
  },
  3: {
    video: 'man_1',
    loop: true,
    next: true,
    smoothStart: false,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '1',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '2',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '3',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '4',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '5',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '6',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '7',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '8',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '9',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '10',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '11',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '12',
        x: 550,
        y: 1,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },
  4: {
    video: 'bg_full_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'fade\t',
  },
  5: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '14',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '15',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '20',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '21',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },
  6: {
    video: 'bg_full_2',
    loop: false,
    next: false,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
      ObjSet('spr_interface_bilberry_1', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_bilberry_1', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_bilberry_2', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_bilberry_2', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_bilberry_3', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_bilberry_3', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_blackberry_1', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_blackberry_1', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_blackberry_2', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_blackberry_2', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_blackberry_3', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_blackberry_3', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_raspberry_1', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_raspberry_1', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_raspberry_2', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_raspberry_2', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_raspberry_3', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_raspberry_3', {
            alp: 0,
            input: 0,
          });
          counter++;
          if (counter === 9) renderGameScene();
        },
      });
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'bg_full_1\tplay ',
  },
  7: {
    video: 'girl_1',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 520,
        y: 180,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },
  8: {
    video: 'sex_1_stop',

    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  9: {
    video: 'man_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '27',
        x: 540,
        y: 10,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '28',
        x: 540,
        y: 10,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '29',
        x: 540,
        y: 10,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '30',
        x: 540,
        y: 10,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },
  10: {
    video: 'girl_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '31',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '32',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '41',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '42',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_1\t13-22\t',
  },
  11: {
    video: 'bg_full_3',
    loop: false,
    next: false,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
      ObjSet('spr_interface_firewood_1', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_1', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_2', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_2', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_3', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_3', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_4', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_4', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_5', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_5', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_6', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_6', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_7', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_7', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_8', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_8', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
      ObjSet('spr_interface_firewood_9', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          PlaySound('sounds/sfx_pick.mp3', 0);
          ObjSet('spr_interface_firewood_9', {
            alp: 0,
            input: 0,
          });
          counterTrees++;
          if (counterTrees === 9) renderGameScene();
        },
      });
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: '',
  },
  12: {
    video: 'girl_2',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 510,
        y: 100,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'fade\t',
  },
  13: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },

  14: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '35',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '36',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '33',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '34',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'bg_full_2\t',
  },

  15: {
    video: 'errand_1_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: false,
    window: false,
    open: function () {
      StopSound('sounds/env_sex.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },

  16: {
    video: 'girl_3',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 520,
        y: 170,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'fade\t',
  },
  17: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  18: {
    video: 'girl_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '39',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '40',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '37',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '38',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'girl_1\t23-26\t',
  },

  19: {
    video: 'errand_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: false,
    window: false,
    open: function () {
      StopSound('sounds/env_sex.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },

  20: {
    video: 'girl_4',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 500,
        y: 150,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sex_1_stop\t',
  },
  21: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  22: {
    video: 'girl_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: false,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '13',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '43',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '44',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '16',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '17',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '18',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '19',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '45',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '46',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '22',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'sex_1_cum\t',
  },
  23: {
    video: 'errand_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: false,
    window: false,
    open: function () {
      StopSound('sounds/env_sex.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  24: {
    video: 'girl_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'dialog',
        image: '23',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '24',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '25',
        x: 530,
        y: 190,
        next: true,
        open: function () {},
        click: function () {},
      },
      {
        type: 'dialog',
        image: '26',
        x: 670,
        y: 300,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: '',
  },
  25: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  26: {
    video: 'bg_full_5',
    loop: true,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      // PlaySound(\"sounds/sfx_.mp3\", 0);
      // PlaySound(\"sounds/env_.mp3\", 1);
    },
    click: function () {},
    close: function () {
      // StopSound(\"sounds/sfx_.mp3\", 0);
      // StopSound(\"sounds/env_.mp3\", 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: true,
        open: function () {},
        click: function () {},
      },
    ],
    origin: 'fade\t',
  },
  27: {
    video: 'bg_full_4',
    loop: false,
    next: true,
    smoothStart: true,
    smoothFinish: true,
    open: function () {
      ObjSet('spr_interface_girl_1', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          renderGameScene(28);
          ObjSet('spr_interface_girl_1', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_2', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_3', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_4', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_5', {
            alp: 0,
            input: 0,
          });
        },
      });
      ObjSet('spr_interface_girl_2', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          renderGameScene(30);
          ObjSet('spr_interface_girl_1', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_2', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_3', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_4', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_5', {
            alp: 0,
            input: 0,
          });
        },
      });
      ObjSet('spr_interface_girl_3', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          renderGameScene(32);
          ObjSet('spr_interface_girl_1', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_2', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_3', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_4', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_5', {
            alp: 0,
            input: 0,
          });
        },
      });
      ObjSet('spr_interface_girl_4', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          renderGameScene(34);
          ObjSet('spr_interface_girl_1', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_2', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_3', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_4', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_5', {
            alp: 0,
            input: 0,
          });
        },
      });
      ObjSet('spr_interface_girl_5', {
        alp: 0.8,
        input: 1,
        event_mup: () => {
          renderGameScene(36);
          ObjSet('spr_interface_girl_1', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_2', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_3', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_4', {
            alp: 0,
            input: 0,
          });
          ObjSet('spr_interface_girl_5', {
            alp: 0,
            input: 0,
          });
        },
      });
    },
    click: function () {},
    close: function () {},
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'man_2\t27-30\t',
  },
  28: {
    video: 'wedding_girl_1_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      //StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'fade\t',
  },
  29: {
    video: 'wedding_girl_1_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(888);
        },
      },
    ],
    origin: 'fade\t',
  },
  30: {
    video: 'wedding_girl_2_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      //StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'fade\t',
  },
  31: {
    video: 'wedding_girl_2_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(888);
        },
      },
    ],
    origin: 'fade\t',
  },
  32: {
    video: 'wedding_girl_3_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      //StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'fade\t',
  },
  33: {
    video: 'wedding_girl_3_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(888);
        },
      },
    ],
    origin: 'fade\t',
  },
  34: {
    video: 'wedding_girl_4_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      //StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'fade\t',
  },
  35: {
    video: 'wedding_girl_4_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(888);
        },
      },
    ],
    origin: 'fade\t',
  },
  36: {
    video: 'wedding_girl_5_1',
    loop: false,
    next: true,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      //StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [],
    origin: 'fade\t',
  },
  37: {
    video: 'wedding_girl_5_2',
    loop: true,
    next: false,
    smoothStart: false,
    smoothFinish: false,
    open: function () {
      StopSound('sounds/env_main.mp3', 0);
      PlaySound('sounds/env_errand.mp3', 1);
    },
    click: function () {},
    close: function () {
      StopSound('sounds/env_errand.mp3', 0);
    },
    delete: true,
    onended: function () {},
    actions: [
      {
        type: 'play',
        x: 0,
        y: 0,
        next: false,
        open: function () {},
        click: function () {
          renderGameScene(888);
        },
      },
    ],
    origin: 'fade\t',
  },
  gallery_sex_1_stop: {
    video: 'sex_1_stop',

    room: 'andressing',
    cum_image: './images/cum.png',
    countStopVideo: 5,
    countSlowVideo: 3,
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: false,
    womanMoan: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
      // StopSound('sounds/env_main.mp3', 0);
    },
    delete: true,
    origin: 'boy_1\t6-7\t',
  },
  gallery_sex_2_stop: {
    video: 'sex_2_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_3_stop: {
    video: 'sex_3_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: true,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_4_stop: {
    video: 'sex_4_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: false,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
  gallery_sex_5_stop: {
    video: 'sex_5_stop',
    room: 'joystick',
    cum_image: './images/cum.png',
    smoothStart: true,
    smoothFinish: true,
    cum: true,
    afterCum: true,
    manMoan: true,
    womanMoan: true,
    window: false,
    open: function () {
      // PlaySound('sounds/env_sex.mp3', 1);
      // StopSound('sounds/env_main.mp3', 0);
    },
    close: function () {
      // StopSound('sounds/env_sex.mp3', 0);
    },
    delete: true,
    origin: '                        jump_1\t21',
  },
};

function getGameLine() {
  return gameLine;
}
