/* ******************** Экран проигравшего ******************** */
let counterDownloadVideoGameOver = 0;
let currentPlaySlowVideo = '';

gameOver = function () {
  setLoading(1);
  hideDialog();
  SwitchRoom('room_gameover');
  // doneSexScenes['sex_1_stop'] = 'joystick';
  // doneSexScenes['sex_2_stop'] = 'andressing';
  // doneSexScenes['sex_3_stop'] = 'andressing';
  // doneSexScenes['sex_4_stop'] = 'arrows';
  // doneSexScenes['sex_5_stop'] = 'joystick';
  // doneSexScenes['sex_6_stop'] = 'joystick';
  resetSlotsGameOver();
  counterDownloadVideoGameOver = Object.keys(doneSexScenes).length;
  console.log(doneSexScenes);
  setPositionsSlot(counterDownloadVideoGameOver);
  setSourceVideoGameOver();

  PlaySound('sounds/env_main.mp3', 1);
  StopSound('sounds/env_sex.mp3', 0);
};

function resetSlotsGameOver() {
  counterDownloadVideoGameOver = 0;
  currentPlaySlowVideo = '';
  for (let i = 1; i <= 6; i++) {
    ObjSet('spr_gameover_scene_' + i, { alp: 0, input: 0 });
  }
}

function setPositionsSlot(countSlots) {
  // console.log('countSlots', countSlots)
  for (let slot in gallerySlotSetting[countSlots]) {
    // console.log('key', key, gallerySlotSetting[key][slot])
    ObjSet('spr_gameover_scene_' + slot, gallerySlotSetting[countSlots][slot]);
  }
}

ObjSet('spr_gameover_scenes', {
  event_mup: function () {
    currentPlaySlowVideo = '';
    for (let j = 1; j <= 6; j++) {
      ObjAnimate(
        'spr_gameover_scene_' + j + '_grey',
        'alp',
        0,
        0,
        function () {},
        [0, 0, 'cur', 0.5, 0, 0.7]
      );

      let slowVideoName = 'spr_gameover_scene_' + j + '_slow';
      let videoSlow = document.getElementById(slowVideoName);
      videoSlow.currentTime = 0;
      videoSlow.loop = false;
      ObjSet(slowVideoName, { alp: 0 });
    }
  },
});

function setSourceVideoGameOver() {
  let slot = 0;
  for (let key in doneSexScenes) {
    slot++;
    ObjSet('spr_gameover_scene_' + slot, { alp: 1, input: 1 });

    let type = doneSexScenes[key];
    let nameVideoStop = '';
    let nameVideoSlow = '';
    if (type == 'joystick') {
      // nameVideo = key;
      nameVideoStop = nameVideoSlow = key;
    }
    if (type == 'andressing') {
      nameVideoStop = nameVideoSlow = key + '_1';
    }
    if (type == 'arrows') {
      nameVideoStop = key;
      nameVideoSlow = key + '_1';
      console.log('nameVideoStop', nameVideoStop);
      console.log('nameVideoSlow', nameVideoSlow);
    }

    let videoStop = document.getElementById(
      'spr_gameover_scene_' + slot + '_stop'
    );
    videoStop.src = './video/' + nameVideoStop + '.mp4';
    videoStop.currentTime = 0;
    videoStop.loop = true;
    videoStop.oncanplay = function () {
      videoStop.oncanplay = function () {};
      counterDownloadVideoGameOver--;
      if (counterDownloadVideoGameOver < 1) {
        setTimeout(setLoading(0), 1000);
      }
      videoStop.play();
    };

    let videoSlowName = 'spr_gameover_scene_' + slot + '_slow';
    let videoSlow = document.getElementById(videoSlowName);
    videoSlow.src =
      './video/' + nameVideoSlow.replace('_stop', '_slow') + '.mp4';
    console.log('videoSlow.src', videoSlow.src);
    videoSlow.currentTime = 0;
    videoSlow.loop = true;
    videoSlow.oncanplay = function () {
      videoSlow.oncanplay = function () {};
      counterDownloadVideoGameOver--;
      if (counterDownloadVideoGameOver < 1) {
        setTimeout(setLoading(0), 1000);
      }
    };

    let greyLayer = 'spr_gameover_scene_' + slot + '_grey';
    ObjSet(videoSlowName, {
      event_mup: function (event) {
        event.stopPropagation();
        for (let j = 1; j <= 6; j++) {
          ObjAnimate(
            'spr_gameover_scene_' + j + '_grey',
            'alp',
            0,
            0,
            function () {},
            [0, 0, 'cur', 0.5, 0, 0.7]
          );

          let slowVideoName = 'spr_gameover_scene_' + j + '_slow';
          let videoSlow = document.getElementById(slowVideoName);
          videoSlow.currentTime = 0;
          videoSlow.loop = false;
          ObjSet(slowVideoName, { alp: 0 });
        }

        if (currentPlaySlowVideo == videoSlowName) {
          ObjSet(videoSlowName, { alp: 0 });
          videoSlow.pause();
          ObjAnimate(greyLayer, 'alp', 0, 0, function () {}, [
            0,
            0,
            'cur',
            0.5,
            0,
            0.7,
          ]);

          renderGameScene('gallery_' + key);
        } else {
          currentPlaySlowVideo = videoSlowName;
          isPlaySlowVideo = true;
          videoSlow.currentTime = 0;
          videoSlow.loop = true;
          videoSlow.play();
          ObjSet(videoSlowName, { alp: 1 });
          ObjAnimate(greyLayer, 'alp', 0, 0, function () {}, [
            0,
            0,
            'cur',
            0.5,
            0,
            0,
          ]);
        }
      },
      event_mleave: function () {},
    });
  }
}

ObjSet('spr_gameover_porn_games', {
  event_mup: function () {
    window.open('http://www.porngames.com/');
  },
  event_menter: function () {
    ObjSet('spr_gameover_porn_games', { scale_x: 1.1, scale_y: 1.1 });
  },
  event_mleave: function () {
    ObjSet('spr_gameover_porn_games', { scale_x: 1, scale_y: 1 });
  },
});

ObjSet('spr_gameover_tryagain', {
  event_mup: function () {
    PlaySound('sounds/sfx_click.mp3', 0);
    window.location.reload();
  },
  event_menter: function () {
    ObjSet('spr_gameover_tryagain', { scale_x: 1.1, scale_y: 1.1 });
  },
  event_mleave: function () {
    ObjSet('spr_gameover_tryagain', { scale_x: 1, scale_y: 1 });
  },
});

let gallerySlotSetting = {
  1: {
    1: {
      pos_x: 384,
      pos_y: 216,
      scale_x: 2,
      scale_y: 2,
    },
  },
  2: {
    1: {
      pos_x: 134,
      pos_y: 216,
      scale_x: 1.5,
      scale_y: 1.5,
    },
    2: {
      pos_x: 615,
      pos_y: 216,
      scale_x: 1.5,
      scale_y: 1.5,
    },
  },
  3: {
    1: {
      pos_x: 36,
      pos_y: 216,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    2: {
      pos_x: 375,
      pos_y: 216,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    3: {
      pos_x: 715,
      pos_y: 216,
      scale_x: 1.2,
      scale_y: 1.2,
    },
  },
  4: {
    1: {
      pos_x: 170,
      pos_y: 62,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    2: {
      pos_x: 581,
      pos_y: 62,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    3: {
      pos_x: 170,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    4: {
      pos_x: 581,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
  },
  5: {
    1: {
      pos_x: 42,
      pos_y: 62,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    2: {
      pos_x: 717,
      pos_y: 62,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    3: {
      pos_x: 42,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    4: {
      pos_x: 717,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    5: {
      pos_x: 383,
      pos_y: 184,
      scale_x: 1.2,
      scale_y: 1.2,
    },
  },
  6: {
    1: {
      pos_x: 43,
      pos_y: 76,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    2: {
      pos_x: 377,
      pos_y: 76,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    3: {
      pos_x: 711,
      pos_y: 76,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    4: {
      pos_x: 43,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    5: {
      pos_x: 377,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
    6: {
      pos_x: 711,
      pos_y: 298,
      scale_x: 1.2,
      scale_y: 1.2,
    },
  },
};
